Incompatible with Firefox 6.0 Rated 1 out of 5 stars

Bit Defender Traffic Light is not working with the latest version of Firefox i.e. Firefox 6.0. It is incompatible with the latest version.

This review is for a previous version of the add-on (0.1.20).  This user has a previous review of this add-on.